### Constructor

# PapersView JobFind new

#### Declaration [src]

    PpsJob*
    pps_job_find_new (
      PpsDocument* document,
      gint start_page,
      gint n_pages,
      const gchar* text,
      PpsFindOptions options
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `PpsDocument`

  No description available.

  The data is owned by the caller of the function.

`start_page`

  Type: `gint`

  No description available.

`n_pages`

  Type: `gint`

  No description available.

`text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: `PpsFindOptions`

  No description available.

#### Return value

Type: `PpsJob`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.